#!/bin/sh
. `dirname $0`/../func.sh

init_dev
[ $? -ne 0 ] && exit 1

guess_param

echo 0 > /sys/class/graphics/fbcon/cursor_blink

echo "select resolution"
echo "================="
echo "1 = 1280 x 1024 Fullframe, Colformat RGB565"
echo "2 = 1280 x 1024 Fullframe, Colformat UYVY"
echo "3 = 1280 x 1024 Fullframe, Colformat YUYV"
read RESOLUTION
echo "Your select = $RESOLUTION"
case $RESOLUTION in
  "1") FRAME_SIZE=",width=1280,height=1024"; SCALE_SIZE=",width=600,height=480"; COL_FORMAT="format=RGB16" ;;
  "2") FRAME_SIZE=",width=1280,height=1024"; SCALE_SIZE=",width=600,height=480"; COL_FORMAT="format=UYVY" ;;
  "3") FRAME_SIZE=",width=1280,height=1024"; SCALE_SIZE=",width=600,height=480"; COL_FORMAT="format=YUY2" ;;
  *) FRAME_SIZE=",width=1280,height=1024"; SCALE_SIZE=",width=600,height=480"; COL_FORMAT="format=RGB16" ;;
esac

echo "starting gstreamer with $COL_FORMAT Source ..."
echo "read $FRAME_SIZE and write scaled to framebuffer $SCALE_SIZE"
echo "=============================================================="

echo ""
echo " configure camera with v4l2_control"
echo " =================================="

$V4L2_CTRL_CAM0
# ./../tools/cam_regs.sh -s subdev0 -r ./../$REG_SET_FILE
# Use the "cam_regs.sh" tool, only for special register settings, that are not available through v4l2_control.

echo ""
echo "start gstreamer, break with ctl-C"
echo "================================="

gst-launch-1.0 \
	v4l2src device=$CAM_DEVICE ! \
	video/x-raw,$COL_FORMAT$FRAME_SIZE ! \
	videoscale ! \
	video/x-raw$SCALE_SIZE ! \
	videoconvert ! \
	fbdevsink sync=false

echo 1 > /sys/class/graphics/fbcon/cursor_blink
